hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Scott Carey (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-6945) Inclusion of Old Jackson-JSON Breaks tasks using Avro (or any task depending on Jackson JSON)
Date Mon, 05 Mar 2012 16:51:58 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-6945?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13222446#comment-13222446
] 

Scott Carey commented on HADOOP-6945:
-------------------------------------

Both CDH3 and 1.0 break if using Avro 1.6.2.  Avro 1.6.3 (currently a release candidate) avoids
using the Jackson bits that cause the issue when a Jackson library between 1.3.x and 1.5.x
is on the classpath (as with CDH3).

In our cluster we removed Jackson from all task tracker nodes (yet again, it was OK for a
while).  One day Hadoop won't put a bunch of unnecessary crap on M/R app classpaths and clearly
distinguish libraries that are needed in this context from things that are needed only for
the framework.  Jackson is one of several libraries with similar issues.
                
> Inclusion of Old Jackson-JSON Breaks tasks using Avro (or any task depending on Jackson
JSON)
> ---------------------------------------------------------------------------------------------
>
>                 Key: HADOOP-6945
>                 URL: https://issues.apache.org/jira/browse/HADOOP-6945
>             Project: Hadoop Common
>          Issue Type: Bug
>    Affects Versions: 0.21.0
>            Reporter: Greg Wittel
>
> HADOOP-6184 added the ability to serialize the Configuration to JSON.  However its inclusion
of jackson-1.0.1 means that any map-reduce task that depends (directly or indirectly) on Jackson,
can only use Jackson 1.0.1 APIs.  The 100% fix is to give the task's classpath priority over
the core/common classpath (MAPREDUCE-1700/MAPREDUCE-1938) so that a job can use newer revisions
of the library.
> For a nearer term fix, is it possible to upgrade the included Jackson library to a recent
version (1.5.x+)?  The APIs are backwards compatible.  alernatively, its possible to eliminate
the use of Jackson for this minor feature as the Configuration object could be serialized
to JSON without a 3rd party library.
> An ancilliary issue is that the jackson.version referenced in ivy.xml is never specified
in the source tree (ivy/libraries.properties).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message